package com.thomaskuenneth.artikel.ix;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

public class FragmentTestActivity extends Activity {

	private int clicked;
	private TextView textview;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		textview = (TextView) findViewById(R.id.textview);
		clicked = 0;
		updateTextView();
	}

	private void updateTextView() {
		textview.setText(getString(R.string.message, clicked));
	}

	public void click() {
		clicked += 1;
		updateTextView();
	}
}